/**
 * 工作台
 */

import http from '../http'
// import { https } from '../https'

export default {
  // 检测依据管理
  pageReportMake: data =>
    http.post('soil/v1/entrust/page_report_make', data).then(res => res),

  pageReportMakeByExpReport: data =>
    http
      .post('soil/v1/entrust/page_report_make_by_exp_report', data)
      .then(res => res),

  pageReportCheck: data =>
    http.post('soil/v1/entrust/page_report_check', data).then(res => res),

  pageReportCheckBySummaryReport: data =>
    http
      .post('soil/v1/entrust/page_report_check_by_summary_report', data)
      .then(res => res),
  pageReportIssue: data =>
    http.post('soil/v1/entrust/page_report_issue', data).then(res => res),
  pageAnnual: data =>
    http
      .post('soil/v1/statistics/page_annual_entrust_statistics', data)
      .then(res => res),
  pageCustomer: data =>
    http
      .post('soil/v1/statistics/page_customer_entrust_statistics', data)
      .then(res => res),
  listCoordinateStatistics: data =>
    http
      .post('soil/v1/statistics/list_coordinate_statistics', data)
      .then(res => res),
  pageCustomerEntrustStatistics: data =>
    http
      .post('soil/v1/statistics/page_customer_entrust_statistics', data)
      .then(res => res),
  pageCoordinateStatistics: data =>
    http
      .post('soil/v1/statistics/page_coordinate_statistics', data)
      .then(res => res),
  filePage: data =>
    http.post('soil/v1/standard_annex/page', data).then(res => res),
  // 待完成委托量
  pageWaitEnd: data =>
    http
      .post('soil/v1/statistics/page_wait_end_entrust_statistics', data)
      .then(res => res),
  pagePersonalExpStatistics: data =>
    http
      .post('soil/v1/statistics/page_personal_exp_statistics', data)
      .then(res => res),
  pageGroupExpStatistics: data =>
    http
      .post('soil/v1/statistics/page_group_exp_statistics', data)
      .then(res => res),
  listExperimentProgress: data =>
    http
      .post('soil/v1/experiment/list_experiment_progress', data)
      .then(res => res),
  listSampleProgress: data =>
    http.post('soil/v1/sample/list_sample_progress', data).then(res => res),
  pageExpReportMake: data =>
    http.post('soil/v1/entrust/page_exp_report_make', data).then(res => res),
  pageExpReportCheck: data =>
    http.post('soil/v1/entrust/page_exp_report_check', data).then(res => res),
  pageExpReportIssue: data =>
    http.post('soil/v1/entrust/page_exp_report_issue', data).then(res => res),
  pageExpReportEnd: data =>
    http.post('soil/v1/entrust/page_exp_report_end', data).then(res => res),
  expReportCheckApprove: data =>
    http
      .post('soil/v1/exp_report/exp_report_approve?ids=' + data)
      .then(res => res),
  expReportCheckSubmit: data =>
    http
      .post('soil/v1/exp_report/exp_report_check?ids=' + data)
      .then(res => res),
  expReportIssueSubmit: data =>
    http
      .post('soil/v1/exp_report/exp_report_issue?ids=' + data)
      .then(res => res),
  pagePersonalTaskStatistics: data =>
    http
      .post('soil/v1/statistics/page_personal_task_statistics', data)
      .then(res => res),
  _getLabel: data => http.post('/res/v1/label/page', data).then(res => res),
  summaryReportSubmit: data =>
    http
      .post('soil/v1/report/summary_report_submit?ids=' + data)
      .then(res => res),
  summaryReportCheckSubmit: data =>
    http
      .post('soil/v1/report/summary_report_check_submit?ids=' + data)
      .then(res => res),
  pageReportIssueBySummaryReport: data =>
    http
      .post('soil/v1/entrust/page_report_issue_by_summary_report', data)
      .then(res => res),
  summaryReportIssueSubmit: data =>
    http
      .post('soil/v1/report/summary_report_issue_submit?ids=' + data)
      .then(res => res)
}
